<?xml version="1.0" encoding="utf-8" ?>
<hibernate-mapping xmlns="urn:nhibernate-mapping-2.2" assembly="Domain" namespace="Domain">
  <class name="RoomTypeModal" table="tb_RoomTypeModal" lazy="false">
    <id name="ID" column="ID" type="int" unsaved-value="0">
      <generator class="native" />
    </id>
    <many-to-one name="RoomType" column="RoomTypeID" foreign-key="FK_tb_RoomTypeModal_tb_RoomType" />
    <property name="ModalAddress" column="ModalAddress" type="string"  />
    <property name="Outlet" column="Outlet" type="string"  />
    <property name="Name" column="Name" type="string"  />
    <property name="EnglishName" column="EnglishName" type="string"  />
    <property name="TWName" column="TWName" type="string"  />
    <property name="Power" column="Power" type="int"  />
    <property name="Type" column="Type" type="DeviceType"  />
    <property name="Subtype" column="Subtype" type="DeviceSubtype"  />
    <property name="Default" column="Default1" type="bool"  />
    <property name="Sort" column="Sort" type="int"  />
    <property name="AppApply" column="AppApply" type="bool" />
    <property name="Color" column="Color" type="string"  />
    <property name="ActiveIndicator" column="ActiveIndicator" type="bool"  />
    <property name="WXActiveIndicator" column="WXActiveIndicator" type="bool"  />
    <property name="LowPower" column="LowPower" type="int"  />
    <property name="OfflineDisplay" column="OfflineDisplay" type="bool"  />
    <property name="LowPowerDisplay" column="LowPowerDisplay" type="bool"  />
    <property name="Beep" column="Beep" type="bool"  />
    <property name="Abnormal" column="Abnormal" type="bool"  />
    <property name="SourceType" column="SourceType" type="int"  />
    <property name="AliasName" column="AliasName" type="string" />
    <!--阿宝新添加的-->
    <property name="MultipleGroupID" column="MultipleGroupID" type="int"  />
    <property name="MultipleTCLName" column="MultipleTCLName" type="string" />
    <property name="TCLDeviceName" column="TCLDeviceName" type="string" />
    <property name="IsUploadBaoJing" column="IsUploadBaoJing" type="bool" />
  </class>
</hibernate-mapping>